curl --request POST \
--url https://thirdparty.qonto.com/v2/webhook_subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_url": "https://api.partner.com/webhooks/qonto",
"types": [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
],
"secret": "whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA=",
"description": "Production webhook for transactions"
}
'import requests
url = "https://thirdparty.qonto.com/v2/webhook_subscriptions"
payload = {
"callback_url": "https://api.partner.com/webhooks/qonto",
"types": ["v1/transactions", "v1/accounts", "v1/organizations", "v1/memberships", "v1/consent-revocations", "v1/cards", "v1/payment-links", "v1/payment-links-connections", "v1/beneficiaries", "v1/client-invoices", "v1/terminal-payments", "v1/clients", "v1/products", "v1/transfers", "v1/recurring-transfers"],
"secret": "whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA=",
"description": "Production webhook for transactions"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callback_url: 'https://api.partner.com/webhooks/qonto',
types: [
'v1/transactions',
'v1/accounts',
'v1/organizations',
'v1/memberships',
'v1/consent-revocations',
'v1/cards',
'v1/payment-links',
'v1/payment-links-connections',
'v1/beneficiaries',
'v1/client-invoices',
'v1/terminal-payments',
'v1/clients',
'v1/products',
'v1/transfers',
'v1/recurring-transfers'
],
secret: 'whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA=',
description: 'Production webhook for transactions'
})
};
fetch('https://thirdparty.qonto.com/v2/webhook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"organization_id": "123e4567-e89b-12d3-a456-426614174000",
"membership_id": "123e4567-e89b-12d3-a456-426614174000",
"callback_url": "https://api.partner.com/webhooks/qonto",
"types": [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
],
"created_at": "2025-01-24T10:55:00Z",
"updated_at": "2025-01-24T10:55:00Z",
"description": "Production webhook for transactions",
"secret": "whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA="
}{
"code": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
}
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}Create a new webhook subscription
OAuth scopes: webhook + the scope(s) required for the webhook(s) you want to receive (cf. Supported webhooks).
Example: if you want to receive a webhook every time a transaction is created or updated, you need the
organization.readscope on top of thewebhookscope.
Subscribe to receive webhooks for specific event types.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Body
The HTTPS URL where webhooks will be sent
512^https://.*"https://api.partner.com/webhooks/qonto"
The types of events to subscribe to
1v1/transactions, v1/accounts, v1/organizations, v1/memberships, v1/consent-revocations, v1/cards, v1/payment-links, v1/payment-links-connections, v1/beneficiaries, v1/client-invoices, v1/terminal-payments, v1/clients, v1/products, v1/transfers, v1/recurring-transfers [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
]
Secret key for verifying webhook signatures. If not provided, one will be generated
32 - 128"whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA="
Optional description for the webhook subscription
"Production webhook for transactions"
Response
Webhook subscription created successfully
Unique identifier for the webhook subscription
"123e4567-e89b-12d3-a456-426614174000"
ID of the organization that owns this subscription
"123e4567-e89b-12d3-a456-426614174000"
ID of the membership that owns this subscription
"123e4567-e89b-12d3-a456-426614174000"
The HTTPS URL where webhooks will be sent
512^https://.*"https://api.partner.com/webhooks/qonto"
The types of events to subscribe to
1v1/transactions, v1/accounts, v1/organizations, v1/memberships, v1/consent-revocations, v1/cards, v1/payment-links, v1/payment-links-connections, v1/beneficiaries, v1/client-invoices, v1/terminal-payments, v1/clients, v1/products, v1/transfers, v1/recurring-transfers [
"v1/transactions",
"v1/accounts",
"v1/organizations",
"v1/memberships",
"v1/consent-revocations",
"v1/cards",
"v1/payment-links",
"v1/payment-links-connections",
"v1/beneficiaries",
"v1/client-invoices",
"v1/terminal-payments",
"v1/clients",
"v1/products",
"v1/transfers",
"v1/recurring-transfers"
]
When the subscription was created
"2025-01-24T10:55:00Z"
When the subscription was last updated
"2025-01-24T10:55:00Z"
Optional description for the webhook subscription
256"Production webhook for transactions"
Secret key for verifying webhook signatures.
32 - 128"whsec_VuvcYxzMbryt1UBytq58jtGBxCgbQdzX/c0vj5ZLjUA="
Was this page helpful?